#include<iostream>
#include<sstream>

#include "BeliefMethod.hh"

using namespace std;

void BeliefMethod::addCommTask(Type type, Task* task) {
	this->commTasks[type] = task;
}

Task* BeliefMethod::getTaskOfType(Type type) {
	if(this->commTasks.find(type) == this->commTasks.end()) {
		cerr << "ERROR: Communication Task not found for: " << type << endl;
		return NULL;
	}
	return this->commTasks.find(type)->second;
}

string BeliefMethod::toString() {
	ostringstream st;
	st << "========== BELIEF MANAGEMENT ==========\n";
	for(map<Type, Task*>::iterator it = this->commTasks.begin(); it != this->commTasks.end(); it++) {
		st << typeToString(it->first) <<": " << it->second->toString() << "\n";
	}
	st << "=======================================\n";
	return st.str();
}

string BeliefMethod::typeToString(Type type){
	switch(type){
		case information: return "information";
			break;
		case contradiction: return "contradiction";
			break;
		case question: return "question";
			break;
	}
	return "unknown";
}
